package com.bonus.core.customer.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class MachineAccountInfoV3DTO {
   @ApiModelProperty("二维码")
   private String authCode;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("IC卡")
   private String serialNum;
   @ApiModelProperty("设备sn")
   private String machineSn;
   @ApiModelProperty("设备编号")
   private String mchNum;
   @ApiModelProperty("三方人员编号")
   private String custThirdId;
   @ApiModelProperty("身份证号")
   private String idCard;
   @ApiModelProperty("手机号")
   private String mobile;
   @ApiModelProperty("人员编号")
   private String custNum;
   @ApiModelProperty("人员姓名")
   private String custName;

   public String getAuthCode() {
      return this.authCode;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public String getMchNum() {
      return this.mchNum;
   }

   public String getCustThirdId() {
      return this.custThirdId;
   }

   public String getIdCard() {
      return this.idCard;
   }

   public String getMobile() {
      return this.mobile;
   }

   public String getCustNum() {
      return this.custNum;
   }

   public String getCustName() {
      return this.custName;
   }

   public void setAuthCode(final String authCode) {
      this.authCode = authCode;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setMchNum(final String mchNum) {
      this.mchNum = mchNum;
   }

   public void setCustThirdId(final String custThirdId) {
      this.custThirdId = custThirdId;
   }

   public void setIdCard(final String idCard) {
      this.idCard = idCard;
   }

   public void setMobile(final String mobile) {
      this.mobile = mobile;
   }

   public void setCustNum(final String custNum) {
      this.custNum = custNum;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }




}
